package de.twenty11.skysail.common.pagination;

public class Pagination {
    
    private static final int DEFAULT_PAGE_SIZE = 20;

    /** pagination: starting with page 1 as default. */
    private Integer page = 1;

    /** pagination: default page size. */
    private Integer pageSize = DEFAULT_PAGE_SIZE;

    /** pagination: total number of results available. */
    private Integer totalResults = 0;
    
    public Integer getPage() {
        return page;
    }
    
    public void setPage(Integer page) {
        this.page = page;
    }
    
    public Integer getPageSize() {
        return pageSize;
    }
    
    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
    
    public Integer getTotalResults() {
        return totalResults;
    }
    
    public void setTotalResults(Integer totalResults) {
        this.totalResults = totalResults;
    }

}
