package de.twenty11.skysail.common.navigation;

public class Navigation {

    /**
     * the request, cleaned.
     */
    private String request;

    /**
     * a URL to something which could be considered the 'parent' of the current
     * resource, if any. In REST context, e.g., 'host/path/subpath/'s parent
     * could be 'host/path/'
     */
    private String parent = null;

    /** context path for web application. */
    private String contextPath = "/";

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public String getContextPath() {
        return contextPath;
    }

    public void setContextPath(String contextPath) {
        this.contextPath = contextPath;
    }

}
